⏳ Coming Soon
The goal with the "Coming Soon" view is to show user what we are working on and allow then to sign up to be a tester or be notified at launch.
| Add buttions | Design | Prototype | Dev Mode | Task | Alpha Branch | Chat | Alpha | Beta | Production
- Details
- Management
- Design
- Develpment
- Launch
Details
Description
Replace with a detailed description here
Status
These details are only updated with each release, for more acurate updates and keeping track of progress, see the task in GitHub.
| Owner | Lead | Doc Status | Product Status | Last Update | Version | Release | Phase |
|---|---|---|---|---|---|---|---|
| Adi | Adi | In Progress | In Revision | 04.03.2024 | 0.01 | Internal | Alpha |
User Stories
Persona One
Update Coming Soon
As a busy user I don’t want to watch but rather listen to a podcast, however, when I hear a voice I don’t recognize, I want to take a glance at my phone to see a name and/or photo of who is talking or maybe ask the built-in “AI/assistant”.
Reminders
- #191
- #205
- Ensure Deep Link is setup
- Ensure theme is properly linked
- Be sure to follow the release guidelines
- Update Documentation
Links & Resources
Coming Soon
- Biz Docs
- Research
- Design
- Prototype
- Dev Mode
- Task
- Alpha Branch
- Chat
- Alpha
- Beta
- Production
Design
Branding
User Flow
Splash views > Intro > Onboarding > Overview > All Categories > All Shows > All Hosts > Show > Episodes > Episode
UX
Mobile
Web
Development
Before you start developing you will need to setup your environment, if you have not done that yet visit Development Envietment.
- Backend
- enpoints
- Frontend
Routes and Middleware Documentation
This document provides a clear overview of all available backend routes, as well as the security middlewares in use.
GET /validateToken
- Description: Validates the authenticity of a Firebase token.
- Headers:
Authorization: Bearer <firebase_token>
6. POST /public/validateApiToken
- Description: Validates the API token for third-party services.
- Headers:
x-api-key: <API_TOKEN>
Middlewares
1. checkFirebaseAuth()
- Purpose: Verifies that the request includes a valid Firebase ID token.
- Used for: Most authenticated user routes (
/me,/users/<id>, etc.) - Does not load user data from MongoDB.
2. checkAuth()
- Purpose: Verifies Firebase token and loads user data from MongoDB.
- Used for: Routes that require full user data (e.g., authorization checks).
3. checkApiToken()
- Purpose: Verifies a shared secret (API token) stored in
.env. - Used for: Public routes requiring server-to-server protection.
Notes
- All authenticated routes must include a valid Firebase token.
- Use
checkAuth()when you need both authentication and user data from MongoDB. - Public endpoints requiring API protection must use
checkApiToken(). - Never expose user data without verifying identity first.
move security docs to a separate file
Frontend
Widgets
Dependencies
Tasks
Parent Widgets
- Coming Soon
Child Widgets Tasks
- Coming Soon
Compatibility
- Android Phones
- Android Tablets
- Android Watch
- Android TV
- iOS
- iPad
- iWatch
- Apple TV
- Chrome OS
- Mac OS
- Google Cast
Views
These are the views that make up the user experience of a complete and independent product, while many of these views are shared across multiple products, they are customized to serve a Uniquely "podcast" experience to the user.
-
Splash
Just as with any splash views, we want to establish the podcast brand and give the overview views and it's content time to check for updates and load.
- User Story
- User Flow
- Design
-
Intro
again, we want this to be a user experience independent of the rest of the husi app, therefore, should this e the first time the user is accessing the podcast product, the user is greated with a slide of benefits and feature available in the podcast app.
-
Onboarding
In order to make the posdcast experience optimal, we will check for missing account data or data that is required by the podcast app and ask the user to fill them, we will also have a views asking the user what topics they like and another on what shows they are alredy listing to.
-
Overview
Overview is where the user can get a quick glance at trending, playing and other podcasts, just as with all apps in hudi, overview is the default views.
- Header
- Categories & Topics
- Trending
- Resume
- Ad
- Clips
- Recommended/For You
- Promoted
- Top Listened
- Top Watched
- Ad
- Top Hosts
- Banner
- New Shows
- New Episodes
- Filter
- NavBar
Features
Below is a list of features that will be utilized in order to deliver a great podcast experiance. The details bellow are not comprehensive feature details but rather, describe how the features will be utilized withon the podcast product, for further details, please see the individual feature documentation.